Set refresh to F5 key
Status: Closed

Priority: Normal

Assignee: Alvaro Huarte

Category: GUI

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 17730

Description

Most tools use F5 key to refesh it's screen/data. It would be nice, if also QGIS would follow this standard, as this is what the (novice) user

might expect.

Associated revisions

Revision 32b05836 - 2013-11-25 08:46 PM - Jürgen Fischer

change default refresh key to F5 (implements #9085)

History

#1 - 2013-11-22 01:55 AM - Jukka Rahkonen

Hi,

I believe that you can set it by yourself through Settings - Edit shortcuts. By the way, I just learned from you that F5 would do update/refresh since 25+

years of experience on using various programs. I am remembering that in WordPerfect F5 did "Find file".

#2 - 2013-11-22 02:38 AM - Noone Noone

I agree that you can alter the shortcut on your own, but my request is esp. on (useful) defaults.

As always it's hard to find a unique way that fullfills all expections/designguids/ etc. But from my experience F5 is really in wide use.

#3 - 2013-11-22 02:39 AM - Nathan Woodrow

I see no issues setting it as default.

#4 - 2013-11-22 11:10 AM - Antonio Locandro

I think F5 as default is better since most users would expect that either from other software or from browser refresh use.

#5 - 2013-11-25 06:39 AM - Alvaro Huarte

- Assignee set to Alvaro Huarte

#6 - 2013-11-25 08:56 AM - Alvaro Huarte

- % Done changed from 0 to 100
- Pull Request or Patch supplied changed from No to Yes

- Resolution set to fixed/implemented

Pull request:

https://github.com/qgis/QGIS/pull/1008

Regards

#7 - 2013-11-25 11:47 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"32b05836d50b36f443517ef6a76ac26d49b19b89".

#8 - 2013-11-25 11:50 AM - Noone Noone

Thank you both very much for fixing :)

#9 - 2013-11-25 01:23 PM - Alvaro Huarte

Jürgen Fischer wrote:

Fixed in changeset commit:"32b05836d50b36f443517ef6a76ac26d49b19b89".

Hi Jürgen, I seen your commit, it is perfect but I did not change the default refresh-key in 'qgisapp.ui' in order to be consistent with the current action refresh

of qbrowser (See mActionRefresh in 'qgsbrowserbase.ui' and line 222 in 'ui_qgsbrowserbase.h') and to preserve the behavior that current users may be

accustomed to using.

If I may comment, I would recommend then also change the settings of qbrowser, or just add F5 as extra key-refresh of mapcanvas as I did preserving the

current behavior of 'CTRL+R' key.

Best regards
